Sign in to follow this  
Guest

Stopped because of FS2004?

Recommended Posts

Help AVSIM continue to serve you!
Please donate today!

I did. My next purchase (FS related) will be all the components required to upgrade my system and bring it to the year's standard.Carlos.

Share this post


Link to post
Share on other sites

All addons should be compatible with FS2004 out of the box or with minor patches, I'm not worried... Most devs have already announced FS2004 compatibilty and I've already seen screens of a few things - Ultimate Traffic and the CS727 running on the FS2004 beta.

Share this post


Link to post
Share on other sites

>All addons should be compatible with FS2004 out of the box or>with minor patches, I'm not worried...If any of your software uses AFCAD I would be.

Share this post


Link to post
Share on other sites

I've stopped buying / downloading add-ons. Not because of any fear regarding FS2004, but simply because I don't know what add-ons I will wish to use in FS2004. For example, I'm so looking forward to the default historic aircraft that I don't really want to spend any more money on classic payware aircraft, as I am fairly sure I will like the upcoming MS aircraft a lot more.Perhaps the only exception I will make is buying Lago's Air File Pro. The main reason being that it is certain MS will not have the functionality of this add-on built into FS2004 and secondly that it will be much cheaper to buy it now than just buy the FS2004 version only.

Share this post


Link to post
Share on other sites

I haven't stopped buying addons (actually I kinda just started again). But I trust that DreamFleet, FSD, RealAir and some other good guys will provide good service whenever fs2k4 actually does hit the shelves (no breath-holding here).There's a couple of publisher's that I refuse to patronize because of their lack of interest in providing updates for 2k addons when 2k2 was released (for a fee or otherwise)...I don't care how good/appealing their current products may be.I've already got the money saved for FS2k4 AND the new machine that it will certainly require...-Edwin King (hoo?)

Share this post


Link to post
Share on other sites

I've stopped downloading scenery, because I figure there will be compatability issues (moved buildings, slightly different airport altitudes, etc.) and there was a post about MS moving away from .bgl files. I'm still downloading the occasional aircraft, but only if it fills a gap in my AI traffic.Y'know what I do instead? I start up the sim and fly airplanes! That's right, I actually PLAY the game instead of just tinkering with it! Try it. It's fun!

Share this post


Link to post
Share on other sites

Oi! Hey!According to Frank C. at www.projectai.com, there will be a version of AFCAD ready for FS2004 as soon as , or shortly after, FS2004 comes out .You can ask on the PAI forums if you want more info.PZL.

Share this post


Link to post
Share on other sites

My FS2K2 baseline has been frozen until FS2K4 release. Already, 767 PIC will need patch to work in the new world - my fingers are crossed that this will happen in short order.

Share this post


Link to post
Share on other sites

Yes... I've stopped it all.I've even dumped tons of old stuff I downloaded and never tried, just to get my hard drive cleaned up. I just want to start out entirely new and fresh.Further, I think I'll be much more selective as to what I add back in. And that will be better documented.Bob (Lecanto, Fl)AMD, Athlon XP, 1800+MSI, K7T266 XP ProPC 2100 DDR, 1024 MBXP, Home Edition Elsa GLadiac 920, GF3/64Mb andPNY, Verto nVidia TNT 2-M64/32WD, 100 MB, 7200, Ultra 100Sound Blaster, Audigy MP3+CH Prod, VPP Yoke - Sound CardCH Prod, Pedals - Sound Card

Share this post


Link to post
Share on other sites

>According to Frank C. at projectai, there will be a>version of AFCAD ready for FS2004 as soon as , or shortly>after, FS2004 comes out .From what I hear that this may not be possible.... Unless Frank is creating this program, there's a very good chance that there WONT be an AFCAD at release time or anytime soon there after. This means any program or addon which has used AFCAD as the bases for its software may not not work in FS04...just something to think about.

Share this post


Link to post
Share on other sites

I recently made 2002 my gennie pig for 2004. I added PAI and then brought ultimate traffic just to see how they work. I think I might just use PAI in 2004. One thing that will be nice is not having to keep adding taxisigns. Taxiwaysign.com did a great service but it will be nice not to keep looking for more files in that department.Kilstorm

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this